List of invoices

Retrieves a paginated list of invoices for the authenticated user (based on the provided token). You can use pageSize and currentPage parameters to paginate through results.

If no pagination are provided, the API attempts to return all invoices, which may fail if the result set is large. In such cases, use searchCriteria to filter results by field or specify a smaller pageSize.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/dashboard/invoices?searchCriteria[filterGroups][0][filters][0][value]=3&searchCriteria[filterGroups][0][filters][0][field]=order_id&searchCriteria[filterGroups][0][filters][0][conditionType]=eq&searchCriteria[currentPage]=1&searchCriteria[pageSize]=2'
Sort can be performed on entity_id ascending and descending. A higher entity_id is a newer invoice.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/dashboard/invoices?searchCriteria[filterGroups][0][filters][0][value]=3&searchCriteria[filterGroups][0][filters][0][field]=order_id&searchCriteria[filterGroups][0][filters][0][conditionType]=eq&searchCriteria[sortOrders][0][field]=entity_id&searchCriteria[sortOrders][0][direction]=desc'
You can get the last five invoice by specifying 5 as page-size parameter.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/dashboard/invoices?searchCriteria[currentPage]=1&searchCriteria[pageSize]=5&searchCriteria[filterGroups][0][filters][0][value]=3&searchCriteria[filterGroups][0][filters][0][field]=order_id&searchCriteria[filterGroups][0][filters][0][conditionType]=eq'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Query Params
string

Field to filter by (e.g. order_id). This searchCriteria or searchCriteria[pageSize] are required for this API .

string

Condition type for filter (e.g. eq, like, in).

string

Filter value.

string

Field by which to sort results.

string

Direction of sort (ASC or DESC).

number

Number of results to return per page.

number

The page number to retrieve.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json